package com.xubx.springboot_01demo.utils.token;

import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.core.ValueOperations;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


@Service
public class RedisUtil {
    @Resource
    private RedisTemplate<String, String> stringRedisTemplate;//这是一个使用redis的API，可以直接用StringRedisTemplate

    public void addTokens(String username,String token) {//存入token
        ValueOperations<String, String> valueOperations = stringRedisTemplate.opsForValue();
        valueOperations.set(username, token);
    }
    public String getTokens(String token) {//获取token
        //根据token获取用户信息
        String username = TokenGenerate.getUsername(token);
        return stringRedisTemplate.opsForValue().get(username);
    }

    public void delTokens(String username) {//删除token在前端已经进行
        stringRedisTemplate.delete(username);
    }
}
